%global packname  callr
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.0.4
Release:          1%{?dist}
Summary:          Call R from R

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-processx, R-assertthat, R-crayon, R-debugme, R-R6, R-utils
# Suggests:  R-covr, R-parallel, R-testthat, R-withr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-assertthat
Requires:         R-crayon
Requires:         R-debugme
Requires:         R-processx >= 3.1.0
Requires:         R-R6
Requires:         R-utils
Requires:         R-testthat
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-assertthat
BuildRequires:    R-crayon
BuildRequires:    R-debugme
BuildRequires:    R-R6
BuildRequires:    R-utils
BuildRequires:    R-parallel
BuildRequires:    R-testthat
BuildRequires:    R-withr
BuildRequires:    R-processx >= 3.1.0

%description
It is sometimes useful to perform a computation in a separate R process,
without affecting the current R process at all. This packages does exactly


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%doc %{rlibdir}/%{packname}/developer-notes.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/_pkgdown.yml

%changelog
* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 2.0.4-1
- update to 2.0.4 (package now noarch)

* Thu Apr 26 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-1
- Update to latest version

* Thu Mar 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-2
- Remove extra Requires

* Wed Mar 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-1
- initial package for Fedora
